/* demo.c */
static void update_counter(void);
static void startup(const DEVICE *serialdevice, BYTE channel);
static BYTE getcommand(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void showcommands(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static BYTE idcommand(const BYTE *const *cmd, BYTE *str);
static void demolamps(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demoleds(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demoinputs(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demosense(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demopushbutton(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demosysinputs(const DEVICE *serialdevice, BYTE channel);
static void demooutputs(const DEVICE *serialdevice, BYTE channel);
static void demoreels(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demouarts(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void democfuart1(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demofpgauart0(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demofpgauart1(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demoduart0(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void demoduart1(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static BYTE getbaudrate(const DEVICE *serialdevice, BYTE channel);
static BYTE getparity(const DEVICE *serialdevice, BYTE channel);
static BYTE getdatabits(const DEVICE *serialdevice, BYTE channel);
static BYTE getstopbits(const DEVICE *serialdevice, BYTE channel);
static BYTE getrouting(const DEVICE *serialdevice, BYTE channel);
static BYTE validate(const BYTE *const *settings, BYTE *entry);
static void demoaudio(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void initcompactflash(const DEVICE *serialdevice, BYTE channel);
static void compactflashdir(const DEVICE *serialdevice, BYTE channel);
static void setaudiovolume(const DEVICE *serialdevice, BYTE channel);
static void playsample(const DEVICE *serialdevice, BYTE channel, BYTE playlooped);
static void stopchannel(const DEVICE *serialdevice, BYTE channel);
static void getuserinput(const DEVICE *serialdevice, BYTE channel, BYTE *returnbuffer, WORD maxBufferSize);
static void demovfd(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void scrollvfd1text(const BYTE *text);
static void democsd(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void gettime(const DEVICE *serialdev, BYTE channel, P18TIME *time);
static WORD getinput(const DEVICE *serialdev, BYTE channel, BYTE *entry);
static BYTE getindex(const DEVICE *serialdev, BYTE channel, BYTE *ch);
static void demoe2rom(const BYTE *const *cmd, const DEVICE *serialdevice, BYTE channel);
static void time_out_demo(const DEVICE *serialdev, BYTE channel);
static void autodemo(void);
static void UpdateLEDs(void);
